require "import"
import "android.content.*"
import "android.media.AudioManager"
import "android.media.RingtoneManager"
import "android.os.Vibrator"  -- Import the Vibrator module

local audioManager = this.getSystemService(Context.AUDIO_SERVICE)
local vibrator = this.getSystemService(Context.VIBRATOR_SERVICE)  -- Initialize the Vibrator

local currentMode = audioManager.getRingerMode()

if currentMode == AudioManager.RINGER_MODE_VIBRATE then
    audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL)

    -- Play the default notification sound
    local defaultNotificationUri = RingtoneManager.getDefaultUri(RingtoneManager.TYPE_NOTIFICATION)
    local ringtone = RingtoneManager.getRingtone(this, defaultNotificationUri)
    ringtone.play()
else
    audioManager.setRingerMode(AudioManager.RINGER_MODE_VIBRATE)
    
    -- Give a longer vibration feedback (for example, 500 milliseconds)
    vibrator.vibrate(500)
    
    service.asyncSpeak("Vibration")
end